彩运网网址-彩运网网上登录

Ruby on Rails

查看Gems版本:

执行安装程序,勾选Add Ruby executables to your PATH,安装完成在cmd上测试ruby -v查看

E:greensoftRailsInstaller>gem -v 
1.8.19 

1. 在RubyInstaller官网下载window版本安装,地址:http://rubyinstaller.org/downloads/

查看Rails版本:

在RubyInstaller官网下载符合Ruby版本的DevKit

一切正常!

  1. 创建Rails应用
  1. Ruby 1.9.3-p125
  2. Rails 3.2
  3. Bundler 1.0.18
  4. Git 1.7.6
  5. Sqlite 3.7.3
  6. TinyTDS 0.4.5
  7. SQL Server support 3.3.3
  8. DevKit

解压到某路径下,cmd进入该目录ruby dk.rb initruby dk.rb install

图片 1

TIPS:我直接运行gem update --system

查看Ruby版本:

gem sources --remove https://rubygems.org/

E:greensoftRailsInstaller>rails -v 
Rails 3.2.1 

Initialization complete! Please review and modify the auto-generated'config.yml' file to ensure it contains the root directories to allof the installed Rubies you want enhanced by the DevKit.

图片 2

gem install rails

如此一来安装工作完毕,测试一下是否工作正常。通过“开始-所有程序-RailsInstaller-Command Prompt with Ruby and Rails”启动命令行工作环境。

TIPS:如果在控制台(cmd)里面输入ruby -v没有反应,应该是ruby没有加入环境变量,在系统的环境变量里面的Path加入 上面安装的ruby的bin目录

如果你的电脑上没有安装Ruby,还等什么,我们去官方网站下载安装程序吧。对于运行Rails3.0,最低需要Ruby1.8.7,现在最新的稳定版应该是1.9.3。在Ruby的官方网站有为不同操作系统安装Ruby使用的程序连接。如果使用的是windows,直接下载RubyInstaller并像安装普通软件一样安装就可以。我们安装Ruby是为了使用Rails,人家还给咱专门提供了同样基于RubyInstaller的RailsInstaller,能够将一些其他的开发工具一并安装,方便省力。最新版本的RailsInstaller是2.1.0,我们就用这个。这个版本附带有:

  1. 安装Rails

本文由彩运网网址发布于网络安全,转载请注明出处:Ruby on Rails

相关阅读